Subject: bug#31745: 回复： bug#31745: 回复：回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Jul 2018 16:31:45 +0200

martin rudalics <[email-masked]> writes:

>>>>From the *scratch* buffer, after emacs has finished displaying the
>> initial frame.
>
> Then let's ignore the initial frame behavior for the moment and
> concentrate on this.  We have to find out the reason why the window
> manager might refuse to resize our frame as requested.  There can't be
> many of them.  Either the size wrt to the frame's position is too
> large.  This could be verified by finding a corresponding threshold
> value beyond which the frame cannot be resized.  Or the value
> specified does not result in an integral multiple of character sizes.
> This could be verified by setting 'frame-resize-pixelwise' to t.  I
> can't see any other reason.  Can you?
>
> In either case it would be interesting to have a look at the sources
> of the window manager you use.

Indeed. Iʼve just tried using Gnome on the exact same system with the
exact same emacs binary, so the only difference is the window manager:
I can't reproduce the issue. So thereʼs a difference in how we
interact with Kwin causing this (Mark, which window manager do you use?).

Regards

Robert